import React from 'react';
import { RangeBox } from './RangeBox';
export const Schedule = React.memo(function Schedule({ classes, ranges, grid, className, onChange, isResizable, isDeletable, moveAxis, cellInfoToDateRange, dateRangeToCells, onActiveChange, eventContentComponent, eventRootComponent, onClick, getIsActive, disabled, }) {
    return (<div className={classes['range-boxes']}>
      {ranges.map((dateRange, rangeIndex) => {
        return (<span key={rangeIndex}>
            {dateRangeToCells(dateRange).map((cell, cellIndex, cellArray) => {
            return (<RangeBox classes={classes} onActiveChange={onActiveChange} key={`${rangeIndex}.${ranges.length}.${cellIndex}.${cellArray.length}`} isResizable={isResizable} moveAxis={moveAxis} isDeletable={isDeletable} cellInfoToDateRange={cellInfoToDateRange} cellArray={cellArray} cellIndex={cellIndex} rangeIndex={rangeIndex} className={className} onChange={onChange} onClick={onClick} grid={grid} cell={cell} getIsActive={getIsActive} eventContentComponent={eventContentComponent} eventRootComponent={eventRootComponent} disabled={disabled}/>);
        })}
          </span>);
    })}
    </div>);
});
//# sourceMappingURL=Schedule.jsx.map