import { useEffect } from 'react';
export function useEventListener(ref, event, listener, options, { enabled = true } = {}) {
    const { current } = ref;
    useEffect(() => {
        if (current === null) {
            return;
        }
        if (enabled) {
            current.addEventListener(event, listener, options);
        }
        else if (listener) {
            current.removeEventListener(event, listener);
        }
        return () => {
            if (!current) {
                return;
            }
            current.removeEventListener(event, listener);
        };
    }, [current, event, listener, options, enabled]);
}
//# sourceMappingURL=useEventListener.js.map