import getDay from 'date-fns/getDay';
import isSameDay from 'date-fns/isSameDay';
import setDay from 'date-fns/setDay';
import { createMapCellInfoToContiguousDateRange } from './createMapCellInfoToContiguousDateRange';
const constrainToOneDay = ([start, end]) => {
    if (!isSameDay(end, start)) {
        return [start, setDay(end, getDay(start))];
    }
    return [start, end];
};
export const createMapCellInfoToSingleDayRange = options => {
    const mapToRange = createMapCellInfoToContiguousDateRange(options);
    return (info) => {
        return [constrainToOneDay(mapToRange(info)[0])];
    };
};
//# sourceMappingURL=createMapCellInfoToSingleDayRange.js.map